## MgDataCellRendererBoolean

MgDataCellRendererBoolean — Cell renderer for booleans

## Synopsis

    struct      MgDataCellRendererBoolean;
    GType       mg_data_cell_renderer_boolean_get_type
                                                (void);
    GtkCellRenderer* mg_data_cell_renderer_boolean_new
                                                (MgDataHandler *dh,
                                                 GdaValueType type);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkCellRenderer
                   +----GtkCellRendererToggle
                         +----MgDataCellRendererBoolean

## Properties

      "editable"             gboolean             : Read / Write
      "to-be-deleted"        gboolean             : Write
      "value"                gpointer             : Read / Write
      "value-attributes"     guint                : Read / Write

## Signal Prototypes

    "changed"   void        user_function      (MgDataCellRendererBoolean *mgdatacellrendererboolean,
                                                gchar *arg1,
                                                gpointer arg2,
                                                gpointer user_data);

## Description

## Details

### struct MgDataCellRendererBoolean

    struct MgDataCellRendererBoolean;

### mg_data_cell_renderer_boolean_get_type ()

    GType       mg_data_cell_renderer_boolean_get_type
                                                (void);

Returns : |

### mg_data_cell_renderer_boolean_new ()

    GtkCellRenderer* mg_data_cell_renderer_boolean_new
                                                (MgDataHandler *dh,
                                                 GdaValueType type);

Creates a new MgDataCellRendererBoolean. Adjust rendering parameters using object properties. Object properties can be set globally (with `g_object_set()`). Also, with GtkTreeViewColumn, you can bind a property to a value in a GtkTreeModel. For example, you can bind the "active" property on the cell renderer to a boolean value in the model, thus causing the check button to reflect the state of the model.

`dh` : | a MgDataHandler object
`type` : |
Returns : | the new cell renderer

## Properties

"`editable`" (gboolean : Read / Write) | The toggle button can be activated.
"`to-be-deleted`" (gboolean : Write) |
"`value`" (gpointer : Read / Write) | GdaValue to render.
"`value-attributes`" (guint : Read / Write) |

## Signals

### The "changed" signal

    void        user_function                  (MgDataCellRendererBoolean *mgdatacellrendererboolean,
                                                gchar *arg1,
                                                gpointer arg2,
                                                gpointer user_data);

`mgdatacellrendererboolean` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.